How to get Team Calendars bundled with an existing Data Center instance

Still need help?

The Atlassian Community is here for you.

Ask the community

Platform Notice: Data Center Only - This article only applies to Atlassian products on the data center platform.

Summary

The Team Calendars app is now bundled with Confluence Data Center since . More details here:

TC will be integrated with versions 7.11+ of Confluence DC out of the box, but you can get the bundle to work on previous versions as well. This means not needing to manage a separate license for the app since it is now tied to the Data Center one.

If you are running Confluence DC below version 7.11 and have the app installed, you should be seeing the following message for the plugin on the Manage Apps screen:

The currently installed version of this app is not approved for Data Center versions of Confluence. Please update to v. 7.0.7, which is Data Center approved.

Although the app will still work in that scenario, you can follow the steps below to remove that message.

Requirements

  • Confluence Data Center license
  • Confluence version 7.4.0 - 7.10.x 

Solution

To get Team Calendars bundled with Confluence DC versions below 7.11, proceed as follows:

  1. Upgrade Team Calendars to 7.0.7 or later
  2. Upgrade UPM to 4.3.1 or later

Here you can find the guide for upgrading UPM:

Once those steps are done, you should see the following message on the Team Calendars menu under Manage Apps:

Team Calendars is now part of Confluence Data Center.

It will also no longer be possible to change the license key for this app, since it's now tied to the application one.



Last modified on Apr 26, 2021

Was this helpful?

Yes
No
Provide feedback about this article
Powered by Confluence and Scroll Viewport.